CreateExplosion = function()
    
	local compositionfon = CreateCompositionSequence();
	local compositionDuration = 1.08333333333333;
	compositionfon:SetDuration(compositionDuration);

	-- Layer Layer_2
	local element = CreateCompositionElement("data/Texture/Scenes/6_rock_skull_day_/Animations/Explosion/blik.png");
	element:SetName("Layer_2");
	compositionfon:AddElement(element);
	element:SetHotSpot(297, 216);
	element:SetParentElement(compositionfon);
	element:SetScaleX(1);
	element:SetScaleY(1);
	element:SetAngle(0);

	effector = element:GetEffector();
	effector:SetLifeTime(0, 16);

	effector:SetKey(_TRACK_X, 0.08333333333333, 489);
	effector:SetKey(_TRACK_Y, 0.08333333333333, 555);
	effector:SetKey(_TRACK_X, 0.125, 489);
	effector:SetKey(_TRACK_Y, 0.125, 554);
	effector:SetKey(_TRACK_X, 0.16666666666667, 489);
	effector:SetKey(_TRACK_Y, 0.16666666666667, 555);
	effector:SetKey(_TRACK_X, 0.20833333333333, 489);
	effector:SetKey(_TRACK_Y, 0.20833333333333, 556);
	effector:SetKey(_TRACK_X, 0.25, 489);
	effector:SetKey(_TRACK_Y, 0.25, 555);
	effector:SetKey(_TRACK_O, 0, 0);
	effector:SetKey(_TRACK_O, 0.16666666666667, 1);
	effector:SetKey(_TRACK_O, 0.41666666666667, 0.03);

	effector:Play();

	--compositionfon:Play();

	return compositionfon;
end